declare const _default: {
    title: string;
    component: {
        new (...args: any[]): import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("./AppButton.vue").ButtonProps> & Readonly<{
            "onButton-clicked"?: () => any;
        }>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
            "button-clicked": () => any;
        }, import("vue").PublicProps, {
            variant: import("./index.js").ButtonVariants["variant"];
            icon: {
                position?: "left" | "right";
                description: string;
            } | null;
            class: import("vue").HTMLAttributes["class"];
            href: string | null;
            target: string;
            buttonAction: "submit" | "reset" | "button";
            isDisabled: boolean;
            isLoading: boolean;
            buttonType: "icon" | "button";
            buttonSize: import("./index.js").ButtonVariants["size"];
        }, false, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<import("./AppButton.vue").ButtonProps> & Readonly<{
            "onButton-clicked"?: () => any;
        }>, {}, {}, {}, {}, {
            variant: import("./index.js").ButtonVariants["variant"];
            icon: {
                position?: "left" | "right";
                description: string;
            } | null;
            class: import("vue").HTMLAttributes["class"];
            href: string | null;
            target: string;
            buttonAction: "submit" | "reset" | "button";
            isDisabled: boolean;
            isLoading: boolean;
            buttonType: "icon" | "button";
            buttonSize: import("./index.js").ButtonVariants["size"];
        }>;
        __isFragment?: never;
        __isTeleport?: never;
        __isSuspense?: never;
    } & import("vue").ComponentOptionsBase<Readonly<import("./AppButton.vue").ButtonProps> & Readonly<{
        "onButton-clicked"?: () => any;
    }>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
        "button-clicked": () => any;
    }, string, {
        variant: import("./index.js").ButtonVariants["variant"];
        icon: {
            position?: "left" | "right";
            description: string;
        } | null;
        class: import("vue").HTMLAttributes["class"];
        href: string | null;
        target: string;
        buttonAction: "submit" | "reset" | "button";
        isDisabled: boolean;
        isLoading: boolean;
        buttonType: "icon" | "button";
        buttonSize: import("./index.js").ButtonVariants["size"];
    }, {}, string, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, import("vue").ComponentProvideOptions> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (new () => {
        $slots: Readonly<{
            icon(): any;
            default(): any;
        }> & {
            icon(): any;
            default(): any;
        };
    });
    tags: string[];
    args: {
        buttonAction: string;
        buttonSize: string;
        buttonType: string;
        class: string;
        href: string;
        icon: any;
        isDisabled: boolean;
        isLoading: boolean;
        target: string;
        variant: string;
    };
    argTypes: {
        buttonAction: {
            type: string;
            description: string;
        };
        buttonSize: {
            control: {
                type: string;
            };
            type: string;
            options: string[];
            description: string;
        };
        buttonType: {
            control: {
                type: string;
            };
            type: string;
            options: string[];
            description: string;
        };
        class: {
            description: string;
        };
        href: {
            control: {
                type: string;
            };
            description: string;
        };
        icon: {
            control: {
                type: string;
            };
            description: string;
        };
        isDisabled: {
            control: {
                type: string;
            };
            description: string;
        };
        isLoading: {
            control: {
                type: string;
            };
            desctiption: string;
        };
        target: {
            control: {
                type: string;
            };
            type: string;
            options: string[];
            description: string;
        };
        variant: {
            control: {
                type: string;
            };
            type: string;
            options: string[];
            description: string;
        };
    };
};
export default _default;
export declare const Basic: any;
export declare const WithIcon: any;
export declare const IconOnlyButton: any;
export declare const FullWidthButton: any;
